:root {
    --acent: #006abf;
    --accent-text: #006abf;
    --accent-text-stand: #fff;
    --width-content: 1200px;
    --font-size: 14px;
    --search-speed: 0.25s;
    --search-delay: 0.25s;
}

* {
    box-sizing: border-box;
    position: relative;
    margin: 0;
    padding: 0;
    font-size: var(--font-size);
}

html {
    font-family: "Segoe UI", sans-serif;
    background-color: #fafafa;
    overflow-y: scroll;
}

p, a {
    font-size: 1rem;
}

a[href] {
    color: inherit;
}

h1 {
    font-size: 1.5rem;
}

h2 {
    font-size: 1.25rem;
}

h3 {
    font-size: 1.1rem;
}

h1, h2, h3, h4, h5, h6 {
    color: inherit;
}

ul {
    list-style-type: none;
}

ul li {
    margin: 0;
    padding: 0;
}

input, button {
    width: 100%;
    padding: 10px 15px;
    border: unset;
    box-shadow: 0 0 1px #555;
    border-radius: 5px;
}

button {
    background-color: #222;
    color: #fff;
}

input[type="button"] {
    background-color: #eee;
    color: #333;
    font-weight: bold;
}

form {
}


body > header {
    background-color: var(--acent);
    color: #fff;
}

body > header nav {
    display: flex;
    gap: 15px;
    padding: 30px 0;
    color: #fff;
}

div.content {
    width: var(--width-content);
    margin: 0 auto;
}

div.numbers {
    display: flex;
    /*max-width: 200px;*/
    /*display: grid;*/
    /*grid-template-columns: 1fr 1fr 1fr;*/
    gap: 10px;
    margin: 10px 0;
}


svg.icon {
    width: 30px;
}

div.attr svg.icon {
    width: 20px;
    fill: var(--acent);
}

main p {
    color: #555;
}

main div.content {
    padding: 30px 0;
    display: flex;
    flex-direction: row;
    gap: 30px;
}

main section {
    display: flex;
    flex-direction: column;
    gap: 15px;
    flex: 1;
}

main section.info {
    min-width: 300px;
	max-width: 350px;
    flex: unset;
}

main article,
ul#result div.program-card,
article#result-date.active#result-date {
    padding: 30px;
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0 0 1px #555;
}

article#result-date.active#result-date {
    background-color: var(--acent);
}

article#result-date.active#result-date * {
    color: #fff;
}


main article.transparent {
    background-color: unset;
    box-shadow: unset;
    padding: unset;
}

.flex {
    display: flex;
}

.flex-row {
    flex-direction: row;
}

.flex-column {
    flex-direction: column;
}

.gap-5 {
    gap: 5px;
}

.gap-10 {
    gap: 10px;
}

.gap-15 {
    gap: 15px;
}

.gap-30 {
    gap: 30px;
}

.margin-bottom-15 {
    margin-bottom: 15px;
}

.margin-bottom-20 {
    margin-bottom: 20px;
}

.margin-bottom-30 {
    margin-bottom: 30px;
}

.padding-5 {
    padding: 5px;
}

.padding-10 {
    padding: 10px;
}

.padding-15 {
    padding: 15px;
}

.padding-10-15 {
    padding: 10px 15px;
}

.align-items-center {
    align-items: center;
}

.justify-items-center {
    justify-items: center;
}

.justify-content-center {
    justify-content: center;
}

.attr.shadow {
    border-radius: 5px;
    box-shadow: 0 0 1px inset;
}

.attr p {
    color: #555;
}

.attr.blue {
    background-color: #006abf11;
    color: #0080ffaa;
}

.attr.blue p {
    color: #0080ff;
}

.attr.orange {
    background-color: rgba(251, 0, 0, 0.07);
    color: #ff0000aa;
}

.attr.orange p {
    color: #ff0000;
}

.attr.orange div.message {
	display: flex;
	gap: 10px;
}

.attr.orange div.message svg.icon {
	fill: red;
	align-self: start;
	width: 50px;
}

.attr.orange p.desc {
	color: #333;
}

ul#result {
}

ul#result div.rating-container {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

ul#result li div.program-header {
    display: flex;
    gap: 30px;
}

ul#result li div.program-header div.header {
    flex: 1;
}

ul#result li div.program-header div.header
ul#result li div.program-meta {
    text-align: right;
    text-wrap: nowrap;
    font-size: 0.8rem;
}

ul#result li div.meta-item {
    display: flex;
    margin-top: 1rem;
}

ul#result li span.status {
    padding: 5px;
    color: #5e5e5e;
    background-color: #eee;
    font-size: 0.8rem;
    border-radius: 2px;
    outline: 1px solid rgba(104, 104, 104, 0.47);
}

ul#result li div.progress-content {
    margin-top: 1rem;
    height: 5px;
    background-color: #aaa1;
    margin-bottom: 2.5rem;
    box-shadow: 0 0 1px #555;
}

ul#result li div.progress-bar {
    height: 5px;
    background-color: #00b9ff;
    background-color: #222;
}

ul#result li div.progress-bar.blue {
    background-color: #0080ff;
}

ul#result li div.progress-bar.red {
    background-color: #f55;
}

ul#result li div.message {
    font-size: 1rem;
    border-radius: 5px;
    padding: 10px 15px;
    margin-top: 1rem;
    box-shadow: 0 0 1px #555;
}

ul#result li div.message[style="color: green;"] {

}

ul#result li div.message[style="color: red;"] {

}

ul#result li p.warning {
    font-size: 0.8rem;
    border-radius: 2px;
    color: red;
    margin-top: 1rem;
}

div.not-found {
    padding: 30px;
    background: #fff;
    box-shadow: 0 0 1px #555;
    border-radius: 5px;
}

div.not-found * {
    color: #f55;
}

ul#result li div.program-meta * {
    font-size: 0.8rem;
}


ul#result ~ p.message.search {
    display: none;
    padding: 15px;
}

ul#result:empty ~ p.message.search {
    display: block;
}

article#result-date {
    display: none;
}

article#result-date.active {
    display: unset;
}

article.search {
    visibility: collapse;
    user-select: none;
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    animation-duration: var(--search-speed);
    animation-fill-mode: forwards;
    animation-timing-function: linear;
    margin-bottom: 1rem;
    padding: -1px;
}

article.search div.message {
    display: grid;
}

article.search svg.icon.load {
    width: 50px;
    animation: load-active 1s infinite linear;
}

@keyframes load-active {
    to {
        transform: rotate(360deg);
    }
}

article.search div.opacity {
    opacity: 0;
    animation-duration: calc(var(--search-speed) * 1);
    animation-fill-mode: forwards;
    animation-timing-function: linear;
}

article.search[status=start] div.opacity {
    opacity: 0;
    animation-name: load-on-active-0;
}

article.search[status=end] div.opacity {
    opacity: 1;
    animation-name: search-off;
}

article.search[status=start],
article.search[status=end] {
    visibility: visible;
}

article.search[status=start] {
    animation-name: search-on;
}

@keyframes search-on {
    from {
        opacity: 1;
    }
    to {
        opacity: 1;
    }
}

article.search[status=end] {
    animation-name: search-off;
}

@keyframes search-off {
    from {
        opacity: 1;
    }
    to {
        opacity: 1;
    }
}

article.search[status=finish] {
    animation-name: search-finish;
}

@keyframes search-finish {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}

article.search #search-start,
article.search #search-active,
article.search #search-end {
    grid-row: 1;
    grid-column: 1;
    opacity: 0;
    text-align: center;
    animation-duration: var(--search-speed);
    animation-delay: var(--search-delay);
    animation-fill-mode: forwards;
    animation-timing-function: linear;
}

article.search[status=start] #search-start {
    animation-name: load-on-start;
}

article.search[status=start] #search-active {
    animation-name: load-on-active;
}

@keyframes load-on-start {
    0% {
        opacity: 1;
    }
    80% {
        opacity: 1;
    }
    90% {
        opacity: 0;
    }
}

@keyframes load-on-active-0 {
    0% {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes load-on-active {
    90% {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

article.search[status=end] #search-active {
    animation-name: load-off-active;
    opacity: 1;
}

@keyframes load-off-active {
    80% {
        opacity: 1;
    }
    90% {
        opacity: 0;
    }
    to {
        opacity: 0;
    }
}

article.search[status=end] #search-end {
    animation-name: load-off-end;
}

@keyframes load-off-end {
    90% {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}


@media screen and (max-width: 1200px) {
    :root {
        --width-content: 90%;
    }

    header svg.icon {
        width: 60px;
    }

    ul#result li div.program-header {
        flex-direction: column;
        gap: 15px;
    }

    ul#result li div.meta-item > * {
        flex: 1;
        flex-direction: column;
    }

    ul#result li div.program-meta {
        text-align: left;
    }

    ul#result li div.program-meta * {
        font-size: 1rem;
    }

	main section.info {
		max-width: unset
	}
}

@media screen and (max-width: 993px) {
    :root {
        --width-content: 90%;
    }

    main div.content {
        flex-direction: column;
        gap: 15px;
    }

    div.numbers {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
    }

    ul#result li div.data {
        flex-direction: column;
    }

    ul#result li div.stat * {
        font-size: 1rem;
    }
}